generic_unary_traits< binder_first< BinaryFunction, A1 > >::hint< undeterminated_basic< T >, R >

## Public Types

typedef R | result_type
typedef generic_binary_traits< BinaryFunction >::template hint< A1, undeterminated_basic< T >, R >::second_argument_type | argument_type

## Detailed Description

### template<class BinaryFunction, class A1>
template<class R, class T>
struct rheolef::details::generic_unary_traits< binder_first< BinaryFunction, A1 > >::hint< undeterminated_basic< T >, R >

Definition at line 1712 of file expression.h.

## Member Typedef Documentation

## result_type

typedef R result_type

Definition at line 1713 of file expression.h.

## argument_type

typedef generic_binary_traits<BinaryFunction>::template hint<A1,undeterminated_basic<T>,R>::second_argument_type argument_type

Definition at line 1715 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/expression.h